Bug 1736520 - python-pathlib2: FTBFS in Fedora rawhide/f31
Summary: python-pathlib2: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pathlib2
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Paulo Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38 F31FTBFS 1728780 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 18:42 UTC by Fedora Release Engineering
Modified: 2019-08-14 22:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-14 22:07:31 UTC


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2019-08-01 18:42 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-01 18:42 UTC, Fedora Release Engineering
no flags Details
state.log (653 bytes, text/plain)
2019-08-01 18:42 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 18:42:10 UTC
python-pathlib2 failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36637198


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix python-pathlib2 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-pathlib2 will be orphaned. Before branching of Fedora 32,
python-pathlib2 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 18:42:12 UTC
Created attachment 1598817 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2019-08-01 18:42:20 UTC
Created attachment 1598819 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 18:42:31 UTC
Created attachment 1598820 [details]
state.log

Comment 4 Miro Hrončok 2019-08-02 10:10:01 UTC
python-pathlib2 fails to build without python3-test:


============================= test session starts ==============================
platform linux -- Python 3.8.0b3, pytest-4.6.4, py-1.8.0, pluggy-0.12.0 -- /usr/bin/python3
cachedir: .pytest_cache
rootdir: /builddir/build/BUILD/pathlib2-2.3.4
collecting ... collected 0 items / 1 errors

==================================== ERRORS ====================================
___________________ ERROR collecting tests/test_pathlib2.py ____________________
ImportError while importing test module '/builddir/build/BUILD/pathlib2-2.3.4/tests/test_pathlib2.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
tests/test_pathlib2.py:43: in <module>
    from test import support
E   ModuleNotFoundError: No module named 'test'

During handling of the above exception, another exception occurred:
tests/test_pathlib2.py:45: in <module>
    from test import test_support as support
E   ModuleNotFoundError: No module named 'test'
!!!!!!!!!!!!!!!!!!! Interrupted: 1 errors during collection !!!!!!!!!!!!!!!!!!!!
=========================== 1 error in 0.25 seconds ============================


The fix is at: https://src.fedoraproject.org/rpms/python-pathlib2/pull-request/2

See https://fedoraproject.org/wiki/Changes/Move_test.support_module_to_python3-test_subpackage

This blocks the Python 3.8 rebuild:

https://fedoraproject.org/wiki/Changes/Python3.8

Comment 5 Ben Cotton 2019-08-13 16:59:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Ben Cotton 2019-08-13 18:36:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 7 Jerry James 2019-08-14 22:07:31 UTC
Oops, sorry Miro.  I stumbled across this issue myself and fixed it before looking up this bug.  I didn't see you had a pull request.

Paulo has been absent from Fedora for well over a year now, so I've gotten into the habit of looking after his packages.  I'll try to get in touch with him to see if he has plans to return to actively maintaining his packages.

Comment 8 Miro Hrončok 2019-08-14 22:25:58 UTC
No problem. Glad that it is fixed.


Note You need to log in before you can comment on or make changes to this bug.